Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 385391 - sys-apps/portage: emerge needs a more clever parent selection for blocked packages
Summary: sys-apps/portage: emerge needs a more clever parent selection for blocked pac...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on: 159310
Blocks: 300071 381649 390359
  Show dependency tree
 
Reported: 2011-10-02 13:54 UTC by Vladimir Berezhnoy
Modified: 2011-11-13 22:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
log (log.log,389.75 KB, text/plain)
2011-10-02 13:55 UTC, Vladimir Berezhnoy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Berezhnoy 2011-10-02 13:54:59 UTC
Now it shows all descending dependencies, such lists can be very lengthy. It should limit to those packages which are contained in world file.
Attached log is 4k lines long which makes it pretty useless.

  (x11-libs/qt-script-4.7.3::gentoo, installed) pulled in by
    >=x11-libs/qt-script-4.7.0:4 required by (kde-base/kdesu-4.7.1::gentoo, ebuild scheduled for merge)
    >=x11-libs/qt-script-4.7.0:4 required by (kde-base/libkdegames-4.7.0::gentoo, installed)


Reproducible: Always




# emerge --info
Portage 2.1.10.20 (default/linux/x86/10.0/desktop/kde, gcc-4.4.6, glibc-2.13-r4, 3.0.0-gentoo-home2 i686)
=================================================================
System uname: Linux-3.0.0-gentoo-home2-i686-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.3
Timestamp of tree: Sun, 02 Oct 2011 12:30:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.5 [disabled]
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r2, 3.1.3-r1, 3.2-r2
dev-util/ccache:          3.1.5
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1
sys-devel/gcc:            4.2.4-r1, 4.3.6, 4.4.6, 4.5.2
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo gamerlay-stable arcon kde-sunset multimedia sping sunrise swegener qutim
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/hddtemp/ /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe -ggdb"
DISTDIR="/mnt/large/sys/distfiles"
FEATURES="assume-digests binpkg-logs compress-build-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="lzma"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/mnt/large/sys/var_tmp_portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/arcon /var/lib/layman/kde-sunset /var/lib/layman/multimedia /var/lib/layman/sping /var/lib/layman/sunrise /var/lib/layman/swegener /var/lib/layman/qutim"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aacs acpi additions addressbook aften aim alsa amr ansi apm applet archive ass atm automount autoreplace avahi bash-completion bashlogger binary-drivers bittorrent bluetooth branding btrfs bzip2 cairo cdda cgi chm cisco consolekit cracklib crypt css curl custom-optimization cxx dbus declarative desktopglobe dhcp disk-partition djvu dlna dri dts dvd dvdr emboss emovix enca encode epiphany exif expat extensions extras faac faad fat ffmpeg flac flash fontconfig fortran ftp gd gdbm gdu geoip gif glib gnome gnome-keyring gnutls gphoto2 gpm gtk gzip hddtemp highlight history httpd iconv id3 ieee1394 imagemagick imlib inotify ithreads jabber javascript jfs jpeg kde lame lcms libass libextractor libnotify lm_sensors logrotate lvm lzma mad maps matroska mdadm mktemp mmx mmxext mng modules mouse mozilla mp3 mp4 mpeg mplayer mudflap musicbrainz mysql mysqli nas nautilus ncurses network network-cron nls nowlistening nptl nptlonly nsplugin ntfs ntlm obex ogg opengl openmp openntpd oscar pam pango passwordsave pcf pch pcre pdf perl phonon php plasma plugins png policykit ppds pppd python qt3support qt4 rdesktop readline samba sasl screen sdl session sha512 simplexml slang sndfile spell sqlite sqlite3 srt srv sse sse2 ssl startup-notification statistics subtitles subversion svg swat sysfs syslog taglib tcpd theora threads threadsafe thumbnail tiff tordns tos tracker translator trayicon truetype udev unicode upnp urandom usb utempter vim-syntax vnc vorbis vpx wavpack web webkit winbind x264 x86 xcb xcomposite xfs xhtml xine xinerama xinetd xml xmlreader xmlrpc xmlwriter xorg xosd xpm xscreensaver xsl xulrunner xv xvid zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse ps2mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Vladimir Berezhnoy 2011-10-02 13:55:38 UTC
Created attachment 288553 [details]
log

emerge system -uDavN &> log.log
Comment 2 Sebastian Luther (few) 2011-10-02 14:02:16 UTC
What concerns the merge list, no it should display all packages that are about to be installed. 

A problem with your output is that it shows too many parents for the slot conflict message.

Does this still happen if you update portage first?
(emerge -1u portage and then run your command again)
Comment 3 Vladimir Berezhnoy 2011-10-02 16:02:48 UTC
sys-apps/portage-2.1.10.20 gives the same output
Comment 4 Sebastian Luther (few) 2011-10-02 17:18:00 UTC
I miss read it. It's not a slot conflict, but blocked packages. This is a long standing issue.

What we should do is to use the same parent selection algorithm the slot conflict handler uses.
Comment 6 Zac Medico gentoo-dev 2011-10-05 17:42:02 UTC
This is fixed in 2.1.10.21 and 2.2.0_alpha61.